Bug 2259475 (CVE-2024-1459) - CVE-2024-1459 undertow: directory traversal vulnerability
Summary: CVE-2024-1459 undertow: directory traversal vulnerability
Keywords:
Status: NEW
Alias: CVE-2024-1459
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2259048
TreeView+ depends on / blocked
 
Reported: 2024-01-22 04:41 UTC by Robb Gatica
Modified: 2024-06-13 18:39 UTC (History)
60 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A path traversal vulnerability was found in Undertow. This issue may allow a remote attacker to append a specially-crafted sequence to an HTTP request for an application deployed to JBoss EAP, which may permit access to privileged or restricted files and directories.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2024-01-22 04:41:04 UTC
A potential directory traversal vulnerability in JBoss EAP was discovered. Initial tests determined that appending "/..;/" to a request will return the JBoss EAP welcome page from the / directory.

Comment 3 Salvatore Bonaccorso 2024-03-10 14:30:17 UTC
Is this issue fixed upstream in undertow? Is there an upstream fixing commit and/or upstream issue to track this?

Comment 4 James Howe 2024-04-16 14:15:41 UTC
This is apparently fixed in 2.3.12. I don't know why RedHat never communicates properly about security issues.
https://issues.redhat.com/browse/UNDERTOW-2339


Note You need to log in before you can comment on or make changes to this bug.